<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
?>
<br>
<br>
<strong><div align="center"><font face="Verdana" size="2" color="#800000">Exibindo Gabarito</font></div></strong>
<?
		$sql = "SELECT * FROM gabarito_conf where codigo_vest = '$qual_vestibular'";
		$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 161.' );
		$num = mysql_num_rows($result);
		if ($num == 0 ) {
			echo '<br><br><center><font color="#ff0000" face="verdana" size="2"><b>Não existe nenhum gabarito cadastrado no Sistema!!!</b></font></center>';
		}
		else {
			$cor = "FFFFFF";
			echo '<br><br>';
			echo '<table width="98%" border="1" cellspacing="0" cellpadding="0" align="center">';
				echo '<tr>';
					echo '<td width="27%" align="center">';
						echo '<font color = "000000" face ="verdana" size="2"><strong>Curso</strong></font>';
					echo '</td>';
					echo '<td width="27%" align="center">';
						echo '<font color = "000000" face ="verdana" size="2"><strong>Matéria</strong></font>';
					echo '</td>';
					echo '<td width="12%" align="center">';
						echo '<font color = "000000" face ="verdana" size="2"><strong>Nº questões</strong></font>';
					echo '</td>';
					echo '<td width="7%" align="center">';
						echo '<font color = "000000" face ="verdana" size="2"><strong>In</strong></font>';
					echo '</td>';
					echo '<td width="7%" align="center">';
						echo '<font color = "000000" face ="verdana" size="2"><strong>Fi</strong></font>';
					echo '</td>';
					echo '<td width="10%" align="center">';
						echo '<font color = "000000" face ="verdana" size="2"><strong>Caderno</strong></font>';
					echo '</td>';
					echo '<td width="10%" align="center">';
						echo '<font color = "000000" face ="verdana" size="2"><strong>Ação</strong></font>';
					echo '</td>';
				echo '</tr>';
			$cor = "#E1E1E1";
			while($info = mysql_fetch_array($result)) {
				echo '<tr>';
					echo '<td bgcolor="'.$cor.'">';
						//$curso = trim(Descriptografar($info["curso"],$Chave));
						$curso = $info["curso"];
						$sql_1 = "SELECT * FROM cursos where codigo = $curso";
						$result_1 = mysql_query($sql_1)
							or die ( 'Não foi possível executar a query 161.' );
						$curso_gab = mysql_fetch_array($result_1);
						echo '<font color = "000000" face ="verdana" size="2">' . $curso_gab["nome_curso"] . '</font>';
					echo '</td>';
					echo '<td bgcolor="'.$cor.'">';
						$materia = $info["materia"];
						$sql_1 = "SELECT * FROM provas where codigo = $materia";
						$result_1 = mysql_query($sql_1)
							or die ( 'Não foi possível executar a query 161.' );
						$mat_gab = mysql_fetch_array($result_1);
						echo '<font color = "000000" face ="verdana" size="2">' . $mat_gab["materia"];
						if ($materia == 2) {
							$cod_aux = $info["codigo"];
							$sql_1 = "SELECT * FROM respostas_gab where codigo_interno = $cod_aux";
							$result_1 = mysql_query($sql_1)
								or die ( 'Não foi possível executar a query 161.' );
							$mat_li = mysql_fetch_array($result_1);
							$li =  $mat_li["le"];
							$sql_1 = "SELECT * FROM linguas where codigo = $li";
							$result_1 = mysql_query($sql_1)
								or die ( 'Não foi possível executar a query 161.' );
							$mat_li = mysql_fetch_array($result_1);
							$lingua_gab = $mat_li["lingua"];
							echo $lingua_gab;
						}
						echo '</font>';
					echo '</td>';
					echo '<td bgcolor="'.$cor.'" align="center">';
						echo '<font color = "000000" face ="verdana" size="2">' . Descriptografar($info["numero_questoes"],$Chave) . '</font>';
					echo '</td>';
					echo '<td bgcolor="'.$cor.'" align="center">';
						echo '<font color = "000000" face ="verdana" size="2">' . Descriptografar($info["inicia_em"],$Chave) . '</font>';
					echo '</td>';
					echo '<td bgcolor="'.$cor.'" align="center">';
						echo '<font color = "000000" face ="verdana" size="2">' . Descriptografar($info["finaliza_em"],$Chave) . '</font>';
					echo '</td>';
					echo '<td bgcolor="'.$cor.'" align="center">';
						echo '<font color = "000000" face ="verdana" size="2">' . $info["codigo_prova"] . '</font>';
					echo '</td>';
					echo '<td bgcolor="'.$cor.'" align="center">';
						echo '<font color = "000000" face ="verdana" size="2"><a href="excluir.php?gabarito=' . $info["codigo"].'"><strong>Excluir</strong></a></font>';
					echo '</td>';
				echo '</tr>';
				if ($cor == "#E1E1E1") 
					$cor = "FFFFFF";
				else 
					$cor = "#E1E1E1";
			}
			echo '</table>';
		echo '<br><Br>';
			echo '<strong><div align="center"><font face="Verdana" size="2" color="#000000">Exibir gabarito por Curso: <a href="com_peso.php">Com Peso Individual</a> / <a href="sem_peso.php">Sem Peso Individual</a></font><br>';
			echo '<a href="gabarito.php?" title="Exibir gabaritos cadastrados"><font face="Verdana" size="2" color="#000000">Cadastrar gabaritos</font></a></div></strong>';
		}

?>

</body>
</html>
